Subject: Re: [PATCH v3 1/2] powerpc: add ISA v3.0 / v3.1 wait opcode macro

From: Segher Boessenkool <[email-masked]>
Date: Wed, 20 Jul 2022 16:07:17 -0500

On Wed, Jul 20, 2022 at 11:21:31PM +1000, Nicholas Piggin wrote:
> The wait instruction encoding changed between ISA v2.07 and ISA v3.0.
> In v3.1 the instruction gained a new field.
> 
> Update the PPC_WAIT macro to the current encoding. Rename the older
> incompatible one with a _v203 suffix as it was introduced in v2.03
> (the WC field was introduced in v2.07 but the kernel only uses WC=0).

Ah, it wasn't just embedded in 2.03, I see.

Looks good to me, thanks!

Reviewed-by: Segher Boessenkool <[email-masked]>

Segher